# -*- cperl -*-
use strict;
use warnings;
use 5.010;

use Test::More;   # see done_testing()

require_ok( 'Dpkg::Copyright::Scanner' );

# __pack_copyright tests

my @tests = (
    [
        '2002-2006 Charles Kerr <charles@rebelbase.com>',
        '2002-2006, Charles Kerr <charles@rebelbase.com>'
    ],
    [
        '2011 Heinrich Muller <henmull@src.gnome.org> / 2002-2006 Charles Kerr <charles@rebelbase.com>',
        "2011, Heinrich Muller <henmull\@src.gnome.org>\n 2002-2006, Charles Kerr <charles\@rebelbase.com>"
    ],
    [
        '2002-2006 Charles Kerr <charles@rebelbase.com> / 2002, 2003, 2004, 2005, 2007, 2008, 2010 Free Software / 2011 Heinrich Muller <henmull@src.gnome.org> / 2002 vjt (irssi project)',
        "2011, Heinrich Muller <henmull\@src.gnome.org>\n 2002-2006, Charles Kerr <charles\@rebelbase.com>\n 2002-2005, 2007, 2008, 2010, Free Software\n 2002, vjt (irssi project)"
    ]
);

foreach my $t (@tests) {
    my ($in,$expect) = @$t;
    my $label = length $in > 50 ? substr($in,0,50).'...' : $in ;
    is(Dpkg::Copyright::Scanner::__pack_copyright($in),$expect,"__pack_copyright '$label'");
}


done_testing();
